/**
 * XRoleClassPayeePolicyRelationship2.java
 *
 * File generated from the medication2::XRoleClassPayeePolicyRelationship2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XRoleClassPayeePolicyRelationship2.
 *
 * 
 */

@XmlType(name = "XRoleClassPayeePolicyRelationship")
@XmlEnum
@XmlRootElement(name = "XRoleClassPayeePolicyRelationship2")
public enum XRoleClassPayeePolicyRelationship2 {
	@XmlEnumValue("COVPTY")
	COVPTY("COVPTY"),
	@XmlEnumValue("GUAR")
	GUAR("GUAR"),
	@XmlEnumValue("POLHOLD")
	POLHOLD("POLHOLD"),
	@XmlEnumValue("PROV")
	PROV("PROV"),
	@XmlEnumValue("PRS")
	PRS("PRS");
	
	private final String value;

    XRoleClassPayeePolicyRelationship2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XRoleClassPayeePolicyRelationship2 fromValue(String v) {
        for (XRoleClassPayeePolicyRelationship2 c: XRoleClassPayeePolicyRelationship2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
